// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package community

import (
	"net/http"

	"juwan-backend/app/community/api/internal/logic/community"
	"juwan-backend/app/community/api/internal/svc"
	"juwan-backend/app/community/api/internal/types"

	"github.com/zeromicro/go-zero/rest/httpx"
)

// 发表评论
func CreateCommentHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req struct {
			types.PathId
			types.CreateCommentReq
		}
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}
		req.CreateCommentReq.PostId = req.PathId.Id

		l := community.NewCreateCommentLogic(r.Context(), svcCtx)
		resp, err := l.CreateComment(&req.CreateCommentReq)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
